%global commit	930eb8d

Name:		php-cloudfiles
Version:		1.7.11
Release:		5%{?dist}
Summary:		PHP API for the Cloud Files storage system

License:		MIT
URL:		https://github.com/rackspace/php-cloudfiles
Source0:		https://github.com/rackspace/php-cloudfiles/tarball/v1.7.11/rackspace-%{name}-v%{version}-0-g%{commit}.tar.gz


Requires:	php-curl, php-date, php-fileinfo, php-hash, php-json
Requires:	php-mbstring, php-pcre, php-spl

BuildArch:	noarch

%description
PHP bindings for the Rackspace Cloud Files RESTful API. Features:

  * Enable your application to upload files programmatically
  * Enable Cloud Files CDN integration on any container for public distribution
  * Create Containers programmatically
  * Retrieve lists of containers and files


%package devel-doc
Summary:		Development documentation for %{name}

%description devel-doc
%{summary}


%prep
%setup -q -n rackspace-%{name}-%{commit}

# all lines should be \n terminated
find . -type f -exec sed -i -e 's/[\r\t ]*$//' '{}' ';'


%build
# Nothing to build


%install
mkdir -p %{buildroot}%{_datadir}/php/%{name}
install -pm 644 cloudfiles*.php %{buildroot}%{_datadir}/php/%{name}


%files
%doc README COPYING Changelog AUTHORS
%{_datadir}/php/%{name}


%files devel-doc
%doc docs


%changelog
* Sat Aug 17 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 1.7.11-5
- RBZ #994033: adjust to new unversioned doc dir policy

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 02 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 1.7.11-2
- added all needed php extensions to Requires

* Sun Sep 23 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 1.7.11-1
- Initial packaging

